<?php

class LePressCron {
	private $cron_table;

	function __construct() {
		global $wpdb;
		$this->cron_table = student_wpdb_prefix.'cron';
		$this->wpdb = $wpdb;
		//Check for anything to run
		$this->check_schedules_to_run();

	}

	function add_schedule($hook, $time) {
		$data = array('hook' => $hook, 'scheduled_time' => $time);
		$this->wpdb->insert($this->cron_table, $data);
	}

	function delete_schedule($hook) {
		return $this->wpdb->query('DELETE FROM '.$this->cron_table.' WHERE hook="'.esc_sql($hook).'"');
	}

	function check_schedules_to_run() {
		$cron_time_running = time() - get_option('lepress-cron-is-running', 0);
		if(($jobs = $this->getJobs()) && $cron_time_running > 10) {
			foreach($jobs as $schedule_obj) {
				if($schedule_obj->scheduled_time <= time()) {
					$deleted = $this->delete_schedule($schedule_obj->hook);
					if($deleted) {
						do_action($schedule_obj->hook);
					}
				}
			}
			update_option('lepress-cron-is-running', time());
		}
	}

	function get_next_scheduled($hook) {
		return $this->wpdb->get_var('SELECT scheduled_time FROM '.$this->cron_table.' WHERE hook = "'.esc_sql($hook).'"');
	}

	function getJobs() {
		return $this->wpdb->get_results('SELECT * FROM '.$this->cron_table);
	}
}

?>