<?php
$course_id = intval($this->safeStringInput($_GET['c'], true));
$post_id = intval($this->safeStringInput($_GET['p'], true));
$subscription_id = intval($this->safeStringInput($_GET['s'], true));

$course_meta = new CourseMeta($course_id);
if($course_meta->getIsCourse()) {
	$student = $course_meta->getStudentBySubscription($subscription_id);
	$student_answer = $course_meta->getStudentAssignmentAnswer($student, $post_id);
	
	if(isSet($_POST)) {
		if($_POST['action'] == 'sendFeedback') {
			$feedback_status = $course_meta->sendFeedback($post_id, $student, $student_answer, $_POST['feedback'], $_POST['grade']);	
		}
	}
	
	$meta_data = get_post_meta($post_id, '_lepress-student-'.md5($post_id.$student->email), true);
	$display_name_order = $this->getDisplayNames();
	$name = $display_name_order == 1 ? $student->first_name.' '.$student->last_name : $student->last_name.' '.$student->first_name;
	
	$posts_query = get_posts(array('meta_query' => array(array('key' => '_is-lepress-assignment', 'value' => 1)), 'p' => $post_id, 'category' => $course_id, 'post_status' => 'publish', 'numberposts' => 1));
	$post = $posts_query[0];
	?>
	
	<div class="wrap">
		<?php echo '<p><a href="'.admin_url().'admin.php?page=lepress-classbook&p='.$post_id.'&c='.$course_id.'">'.__('Go back').'</a></p>'; ?>
	
	<h2><?php _e('Write assesment feedback', lepress_textdomain); ?></h2>
	
	<?php if($post) { ?>
		<div id="poststuff" class="metabox-holder">
		
			<div id="post-body" class="meta-box">
		
			<div id="post-body-content">
				<div class="postbox">
					
					<h3><span><?php echo '<a href="'.get_permalink($post_id).'" target="_blank">'.$post->post_title; ?></a></span></h3>
					<div class="inside">
						<p>
						<?php
						if($post) {
							echo nl2br($post->post_content);
						} else {
							_e('Sorry, post not found...', lepress_textdomain);
						}
						?>
						</p>
					</div>
	
				</div>
		</div>
	<?php 
		} else { 
		echo "<h3>".__('This is somewhat embarrasing, isn\'t it?', lepress_textdomain)."</h3> <p>".__('It seems we can\'t find what you\'re looking for.', lepress_textdomain)."</p>";	
	 } 
	?>
	
	
	<?php
	if($feedback_status == 200) {
		$str = str_replace('{name}', '<b>'.$name.'</b>', __('Your feedback to student {name} is sent.', lepress_textdomain));
		$this->echoNoticeDiv($str);
		//Delete comment metadata lepress-read
		$comments = get_comments(array('author_email' => $student->email, 'post_id' => $post_id, 'number' => 1));
		$comment = $comments[0];
		delete_comment_meta($comment->comment_ID, 'lepress-read');
		update_comment_meta($comment->comment_ID, 'lepress-feedback-given', 1);
	} elseif($feedback_status == -1) {
		$this->echoNoticeDiv(__('You are <b>not teacher</b> on this course, sorry... Cannot allow sending feedback.', lepress_textdomain), true);
	} elseif(isSet($feedback_status)) {
		$str = str_replace('{name}', '<b>'.$name.'</b>', __('Your feedback to student {name} was <b>not sent</b>. Try again...', lepress_textdomain));
		$this->echoNoticeDiv($str, true);
	}
					
	if($post) {
	?>
	
		<form method="post">
	
		<input type="hidden" name="action" value="sendFeedback" />
	
		<div id="poststuff" class="metabox-holder">
	
		<div id="post-body" class="meta-box">
	
		<div id="post-body-content">
			<div class="postbox">
				<h3><span><?php _e('Submission of', lepress_textdomain); ?> <?php echo $name; echo ' - <a href="'.$student_answer->url.'" target="_blank">'.$student_answer->title; ?></a></span></h3>
				<div class="inside">
					<p>
					<?php $str = nl2br(strip_tags(htmlspecialchars_decode($student_answer->content, ENT_COMPAT), '<br><strong><ul><ol><li><ul><code><img><b><i><object><embed><a><ins>')); 
						if(!$student_answer) {
							_e("Requested student submission was not found in student's blog", lepress_textdomain);
						} else {
							echo $str;	
						}
					?>
					</p>
				</div>
			</div>
	
			<div class="postbox">
	
				<h3><span><?php _e('Feedback', lepress_textdomain); ?></span></h3>
	
				<div class="inside">
	
					<textarea style="color:black;" rows="10" cols="40" name="feedback" tabindex="2" id="content"><?php echo $meta_data ? $meta_data['feedback'] : ''; ?></textarea>
	
				</div>
	
				<div class="inside">
	
					<p class="meta-options">
	
						<label class="selectit"><?php _e('Grade', lepress_textdomain); ?>
	
							<input name="grade" size="1" tabindex="1" value="<?php echo $meta_data ? $meta_data['grade'] : ''; ?>" id="submission_grade" type="text" maxlength="2">
	
						</label>
	
					</p>
	
				</div>
	
				<div class="inside">
	
					<p class="meta-options">
	
						<label><?php _e('Feedback to assessment', lepress_textdomain); ?>: 
	
							<?php
	
								echo '<a href="'.$student_answer->url.'" target="_blank">'.$student_answer->url.'</a>';
	
							?>
	
						</label>
	
					</p>
	
				</div>
	
			</div>
	
			<div align='right'>
	
				<input type='submit' class="button-primary" value='<?php _e('Send feedback', lepress_textdomain); ?>' />
	
			</div>
	
		</div>
	
		</div>
	
		</div>
	
	</form>
<?php
		} else {
			echo "<h3>".__('This is somewhat embarrasing, isn\'t it?', lepress_textdomain)."</h3> <p>".__('It seems we can\'t find what you\'re looking for.', lepress_textdomain)."</p>";
		}
	} else {
		echo "<h3>".__('This is somewhat embarrasing, isn\'t it?', lepress_textdomain)."</h3> <p>".__('It seems we can\'t find what you\'re looking for.', lepress_textdomain)."</p>";
	}
?>

</div>